# Collation Class Reference

`#include <Collation.hpp>`

List of all members.

## Public Member Functions

virtual | ~Collation ()
virtual const XMLCh * | getCollationName () const =0
virtual Sequence | sort (Sequence data, const DynamicContext *context) const =0
virtual int | compare (const XMLCh *const string1, const XMLCh *const string2) const =0

## Protected Member Functions

| Collation ()

## Constructor & Destructor Documentation

virtual Collation::~Collation | ( |  | ) | `[inline, virtual]`

Collation::Collation | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual int Collation::compare | ( | const XMLCh *const | string1,
|  | const XMLCh *const | string2
| ) | const`[pure virtual]`

virtual const XMLCh* Collation::getCollationName | ( |  | ) | const`[pure virtual]`

virtual Sequence Collation::sort | ( | Sequence | data,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

The documentation for this class was generated from the following file:

- Collation.hpp